package com.steerinfo.pretrack.pretracktementrust.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="临时委托表")
public class PreTrackTemEntrust implements IBasePO<String> {
    /**
     * 临时委托编号（000+6位序列号）(ENTRUST_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="临时委托编号（000+6位序列号）",required=true)
    private String entrustNo;

    /**
     * 物料编号(MATTER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料编号",required=false)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="物料名称",required=false)
    private String matterName;

    /**
     * 发货单位编号(FORWARDING_UNIT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="发货单位编号",required=false)
    private String forwardingUnitNo;

    /**
     * 发货单位名称(FORWARDING_UNIT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="发货单位名称",required=false)
    private String forwardingUnitName;

    /**
     * 收货单位编号(RECEIVING_UINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="收货单位编号",required=false)
    private String receivingUintNo;

    /**
     * 收货单位名称(RECEIVING_UINT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="收货单位名称",required=false)
    private String receivingUintName;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date deleteTime;

    /**
     * 状态（0：有效；1：作废）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0：有效；1：作废）",required=true)
    private String valueFlag;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.entrustNo;
    }

    @Override
    public void setId(String entrustNo) {
        this.entrustNo = entrustNo == null ? null : entrustNo.trim();
    }

    public String getEntrustNo() {
        return entrustNo;
    }

    public void setEntrustNo(String entrustNo) {
        this.entrustNo = entrustNo == null ? null : entrustNo.trim();
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getForwardingUnitNo() {
        return forwardingUnitNo;
    }

    public void setForwardingUnitNo(String forwardingUnitNo) {
        this.forwardingUnitNo = forwardingUnitNo == null ? null : forwardingUnitNo.trim();
    }

    public String getForwardingUnitName() {
        return forwardingUnitName;
    }

    public void setForwardingUnitName(String forwardingUnitName) {
        this.forwardingUnitName = forwardingUnitName == null ? null : forwardingUnitName.trim();
    }

    public String getReceivingUintNo() {
        return receivingUintNo;
    }

    public void setReceivingUintNo(String receivingUintNo) {
        this.receivingUintNo = receivingUintNo == null ? null : receivingUintNo.trim();
    }

    public String getReceivingUintName() {
        return receivingUintName;
    }

    public void setReceivingUintName(String receivingUintName) {
        this.receivingUintName = receivingUintName == null ? null : receivingUintName.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", entrustNo=").append(entrustNo);
        sb.append(", matterNo=").append(matterNo);
        sb.append(", matterName=").append(matterName);
        sb.append(", forwardingUnitNo=").append(forwardingUnitNo);
        sb.append(", forwardingUnitName=").append(forwardingUnitName);
        sb.append(", receivingUintNo=").append(receivingUintNo);
        sb.append(", receivingUintName=").append(receivingUintName);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}